import pandas as pd
import pyarrow.parquet as pq
import glob
import numpy as np
import os

from sklearn.model_selection import cross_val_score
from sklearn.model_selection import RepeatedKFold
from sklearn.linear_model import Lasso

desired_width = 320
pd.set_option('display.width', desired_width)
pd.set_option('display.max_columns', 10)

#Loading the datasets
#Loading all unemployment files
filesUnemployment = glob.glob('unemployment_data_us/adjusted/*')
filesUnemployment.sort()

#Loading all US states files
# files = glob.glob('groupdataby30/*.parquet')
files = glob.glob('../data_bg_us_v1/us/*/*.parquet')
files.sort()

#Concatting massively
df = pd.DataFrame()
for file in files:
    tempDf = pd.read_parquet(file, columns=['CanonState', 'JobDate', 'JobID'])
    df = pd.concat([df, tempDf])
#Making sure date is of date type
df['JobDate']=pd.to_datetime(df['JobDate'])
groupedDf=df.groupby(['CanonState', pd.Grouper(key='JobDate', freq='m')])['JobID'].nunique()
print(groupedDf)
tempDf=groupedDf.to_frame(name = 'JobID').reset_index()
print(tempDf)
print(tempDf.columns)
tempDf.to_parquet('total_grouped_job_numbers.parquet')