import pandas as pd
import pyarrow.parquet as pq
import glob
import numpy as np
import os

from sklearn.model_selection import cross_val_score
from sklearn.model_selection import RepeatedKFold
from sklearn.linear_model import Lasso

desired_width = 320
pd.set_option('display.width', desired_width)
pd.set_option('display.max_columns', 10)

#Loading the datasets
#Loading all unemployment files
filesUnemployment = glob.glob('unemployment_data_us/adjusted/*')
filesUnemployment.sort()

#Loading all US states files
# files = glob.glob('groupdataby30/*.parquet')
files = glob.glob('total_grouped_max_min_annual_salaries.parquet')
files.sort()
files2 = glob.glob('total_grouped_job_numbers.parquet')
files2.sort()
df = pd.read_parquet(files[0])
print(df)
df2 = pd.read_parquet(files2[0])

df['MeanSalary'] = df['SumSalary']/df2['JobID']

print(df)
df.to_parquet('total_grouped_mean_salaries.parquet')